package org.freecompany.imp;

import java.io.File;
import java.io.PrintStream;
import java.io.IOException;
import java.net.URISyntaxException;
import java.net.URI;
import java.net.URL;
import org.apache.tools.ant.Project;
import org.freecompany.brimstone.core.RepositoryList;
import org.freecompany.brimstone.core.URNConnection;
import org.freecompany.brimstone.main.DefaultListener;
import org.freecompany.brimstone.module.Module;

import static org.freecompany.brimstone.core.Util.installCache;
import static org.freecompany.brimstone.cache.Util.loadToCache;

public class Access {

	public static void addRepository( final URI base) {
		RepositoryList.DEFAULT.addSearchBase( base);
	}

	public static File lookupFile( final String uri) throws URISyntaxException, IOException {
		return lookupFile( new URL( uri));
	}

	public static File lookupFile( final URL url) throws URISyntaxException, IOException {
		return loadToCache( url.toURI());
	}
}
