package org.freecompany.imp;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.taskdefs.Javadoc;
import org.apache.tools.ant.taskdefs.Javadoc.LinkArgument;

import static org.freecompany.imp.Util.getJavadocs;

public class JavadocTask extends Javadoc {

	public void execute() throws BuildException {
		for ( String javadoc : getJavadocs( getProject())) {
			log( "Including " + javadoc);
			final LinkArgument argument = createLink();
			argument.setHref( javadoc);
			argument.setOffline( false);
		}
		super.execute();
	}
}
